// RouteChangeMessage.java

package transport.protocol;

/**
 * This message is used by iSim to notify the iPaq that the route
 * has changed
 *
 * @author Amit G.
 */
public class RouteChangeMessage extends Message {

  String routeName;

  public RouteChangeMessage(int to, int from, String routeName) {
    super(to, from);
    this.routeName = routeName;
  }
  
  public String getRouteName() { return routeName; }
}
